-- MySQL dump 8.23
--
-- Host: localhost    Database: blur6ex
-- -------------------------------------------------------
-- Server version	3.23.58

--
-- Table structure for table `trackbacks`
--
CREATE TABLE trackbacks (
	ID int NOT NULL auto_increment,
	refID int NOT NULL,
	title varchar(100) default NULL,
	excerpt varchar(255) default NULL,
	url varchar(100) default NULL,
	blog_name varchar(100) default NULL,
	PRIMARY KEY (ID)
) TYPE=MyISAM;


--
-- Table structure for table `blog`
--

CREATE TABLE blog (
  ID int(11) NOT NULL auto_increment,
  title varchar(100) default NULL,
  body text,
  user varchar(20) default NULL,
  date int(11) default NULL,
  replyID int(11) default NULL,
  threadID int(11) default NULL,
  permission varchar(50) default NULL,
  userID int(11) default NULL,
  category varchar(30) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;


--
-- Table structure for table `content`
--

CREATE TABLE content (
	ID int NOT NULL auto_increment,
	author varchar( 32 ) NOT NULL,
	title varchar( 100 ) NOT NULL,
	summary varchar( 255 ) NOT NULL,
	category varchar(20) NOT NULL,
	body text,
	date int(11) NOT NULL,
	PRIMARY KEY (ID)
) TYPE=MyISAM;

--
-- Dumping data for table `content`
--


--
-- Table structure for table `defineGroups`
--

CREATE TABLE defineGroups (
  ID int(11) NOT NULL auto_increment,
  pGroup varchar(20) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;

--
-- Dumping data for table `defineGroups`
--


INSERT INTO defineGroups VALUES (1,'everyone');
INSERT INTO defineGroups VALUES (2,'admin');

--
-- Table structure for table `hittracker`
--

CREATE TABLE hittracker (
  ID int(11) NOT NULL auto_increment,
  date int(11) default NULL,
  user varchar(50) default NULL,
	userIP varchar(130) default NULL,
	referer varchar(100) default NULL,
	shard varchar(30) default NULL,
	action varchar(30) default NULL,
	objectID int(11) default NULL,	  
  PRIMARY KEY  (ID)
) TYPE=MyISAM;

--
-- Dumping data for table `hittracker`
--


--
-- Table structure for table `permissionGroups`
--

CREATE TABLE permissionGroups (
  ID int(11) NOT NULL auto_increment,
  username varchar(50) default NULL,
  pGroup varchar(50) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;

--
-- Dumping data for table `permissionGroups`
--
insert into permissionGroups (username, pGroup) values ('anonymous', 'everyone');




--
-- Table structure for table `permissions`
--

CREATE TABLE permissions (
  ID int(11) NOT NULL auto_increment,
  objectID varchar(50) default NULL,
  username varchar(50) default NULL,
  action varchar(20) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;









--
-- Table structure for table `users`
--

CREATE TABLE users (
  ID int(11) NOT NULL auto_increment,
  username varchar(50) default NULL,
  password varchar(100) default NULL,
  realname varchar(50) default NULL,
  birthdate int(11) default NULL,
  location varchar(50) default NULL,
  email varchar(100) default NULL,
  website varchar(100) default NULL,
  IM varchar(50) default NULL,
  profile text,
  rating int(11) default NULL,
  datejoined int(11) default NULL,
  userstatus varchar(20) default NULL,
  avatar varchar(200) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



